# List Live Activities started by this token

GET /api/agent/activities. Required scopes: activities:read.

HTML: https://notify.belweave.ai/docs/api/getActivities

Required scopes: `activities:read`

```http
GET /api/agent/activities
Authorization: Bearer ntf_your_token
```

## Operation schema

```json
{
  "summary": "List Live Activities started by this token",
  "operationId": "getActivities",
  "security": [
    {
      "bearer": [
        "activities:read"
      ]
    }
  ],
  "x-notify-scopes": [
    "activities:read"
  ],
  "parameters": [
    {
      "name": "limit",
      "in": "query",
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 100
      },
      "required": false
    }
  ],
  "responses": {
    "200": {
      "description": "Success",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "activities": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/LiveActivity"
                }
              }
            },
            "required": [
              "activities"
            ]
          }
        }
      }
    },
    "400": {
      "description": "Invalid request",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "401": {
      "description": "Missing, unknown, revoked, or expired token",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "403": {
      "description": "The token lacks a required scope or the account lacks permission",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "404": {
      "description": "Not found for this account",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}
```

Resolve schema references against [OpenAPI](https://notify.belweave.ai/openapi.json).
